<?php

$apiKey=file("/etc/bm/bm-core.tok") ;
$bmIni = '/etc/bm/bm.ini';

$dataBmIni = parse_ini_file($bmIni);
$thisURL=$dataBmIni['external-protocol']."://".$dataBmIni['external-url']."/soap/proxy?wsdl" ;



$thisList = array() ;


$serv = new SoapClient($thisURL);
$login = $serv->login(array('arg0' => 'admin0@global.virt', 'arg1' => $apiKey[0], 'arg2' => 'bmStats'));
$token = $login->return;

if($token==null || !isset($token->sessionId) || $token->sessionId==null) {
    echo "invalid login/password";
    exit(1);
} else {
}

# Get from https://localhost/soap/proxy?xsd=1
# Or generate client from WSDL using wsdl2php (http://sourceforge.net/projects/wsdl2php/)
class UserQuery {
    public $archived = null;
    public $dateBegin = null;
    public $delegationPrefix = null;
    public $directionPrefix = null;
    public $domainId = null;
    public $domainName = null;
    public $email = null;
    public $expirationOp = null;
    public $extId = null;
    public $filterPattern = null;
    public $firstNamePrefix = null;
    public $groupPrefix = null;
    public $id = null;
    public $lastNamePrefix = null;
    public $login = null;
    public $loginPrefix = null;
    public $patterns = null;
    public $phonePrefix = null;
    public $profile = null;
    public $servicePrefix = null;
    public $system = null;
}



$userQuery = new UserQuery();

$userQuery->domainId != 0 ;

$users = $serv->findUsers(array('arg0' => $token, 'arg1' => $userQuery));

foreach($users->return as $user) {

    if(isset($user->emails->entry)) {
        if(is_array($user->emails->entry)) {
            foreach($user->emails->entry as $email) {
                $thisList[]= $email->value->email." ".$user->domain->name;
            }
        }else {
            $email = $user->emails->entry;
            $thisList[]= $email->value->email." ".$user->domain->name;
        }
    }
}

$serv->logout(array('arg0' => $token));

print implode(" ",$thisList) ;
